2017-06-05  warnes

	* [r2154] DESCRIPTION: Fix type in DESCRIPTION date field.
	* [r2153] .Rbuildignore: Specify which file patterns to ignore when
	  building R package file.
	* [r2152] DESCRIPTION, tests/test.humanReadable.Rout.save,
	  tests/test.read.xls.Rout.save,
	  tests/test.reorder.factor.Rout.save,
	  tests/tests.write.fwf.Rout.save, vignettes/mapLevels.Rnw: Update
	  package version and stored test output.
	* [r2151] inst/doc/Rnews.sty: Remove obsolete Rnews.sty file from
	  inst/doc.
	* [r2150] R/startsWith.R: gdata::startsWith() now uses
	  base::startsWith() to do the actual comparison, after hanlding
	  ignore.case and trim arguments.
	* [r2149] man/trim.Rd: Add reference to 'new' base function
	  'trimws'.
	* [r2148] NAMESPACE, R/update.data.frame.R, R/update.list.R,
	  man/update.list.Rd: Drop 'update.data.frame' until there is time
	  to work on it.

2016-08-12  warnes

	* [r2130] NAMESPACE: Add mv to exported namespace

2016-05-31  warnes

	* [r2128] R/humanReadable.R: Fix typo that forced users of
	  humanReadable() to provide two elements to the 'justify'
	  argument. The correction allows a single value to be provided
	  which will be expanded to two internally.

2016-02-05  warnes

	* [r2077] man/update.list.Rd: Add documentation for update()
	  data.frame method.
	* [r2076] R/mv.R, man/mv.Rd: Add mv() function to rename an object.

2016-02-03  warnes

	* [r2075] NAMESPACE: - Add update() methods list and data.frame -
	  Add 'first<-' and 'last<-' assignment methods
	* [r2074] R/update.data.frame.R, R/update.list.R,
	  man/update.list.Rd: Add update() methods for lists and data
	  frames
	* [r2073] R/first.R, man/first.Rd: Add assignment versions of
	  first() and last()
	* [r2072] R/rename.vars.R: Improve logging and error reporting for
	  remove.vars()

2015-10-15  warnes

	* [r2068] R/installXLSXsupport.R: Remove unused call to tempdir().

2015-07-22  warnes

	* [r2062] DESCRIPTION, NAMESPACE,
	  tests/test.humanReadable.Rout.save, tests/test.read.xls.R,
	  tests/test.read.xls.Rout.save,
	  tests/test.reorder.factor.Rout.save,
	  tests/tests.write.fwf.Rout.save: Renamed 'test' directory to
	  'tests', commented out tests for lme4 which has a changed API

2015-07-03  warnes

	* [r2056] DESCRIPTION, inst/ChangeLog, inst/NEWS: Update for gdata
	  2.17.0

2015-06-29  warnes

	* [r2055] inst/ChangeLog: Update ChangeLog
	* [r2054] tests/test.humanReadable.Rout.save,
	  tests/test.read.xls.R, tests/test.read.xls.Rout.save,
	  tests/test.reorder.factor.Rout.save,
	  tests/tests.write.fwf.Rout.save: Add note for R CMD check to help
	  reviewers not freak out when diffs occur because of absence of a
	  PERL library needed to support XLSX files.
	* [r2053] R/upperTriangle.R, man/upperTriangle.Rd: Add 'byrow'
	  argument to lowerTriangle()/upperTriangle() functions.

2015-05-02  warnes

	* [r2018] Rename 'trunk' to 'pkg' for compatibility with R-forge

2015-04-29  warnes

	* [r1993] Update ChangeLog and NEWS again.
	* [r1992] Apparentely read.csv() needs different combination of
	  "fileEncoding=`latin1`" and "encoding=`latin1`" on unix and
	  windows platforms.
	* [r1991] In mapLevels(), use sapply() instead of lapply() to avoid
	  warning message.
	* [r1990] Displaying all the latin1 characters for diff isn't
	  reliable across platforms. Simply summarize the latin1 data
	  instead.
	* [r1989] Display read latin1 data so that diff can catch changes.

2015-04-28  warnes

	* [r1988] Update ChangeLog for gdata 2.16.1
	* [r1987] Update NEWS for gdata 2.16.1
	* [r1986] Remove no-longer defined methods.
	* [r1985] Summary: Minor formatting changes, use rnorm() for X in
	  example, and use set.seed() for consistent results.
	* [r1984] Summary: Replace unicode single-quote characters with
	  ASCII ones.
	* [r1983] Summary: Call base::sort instead of sort, which has been
	  redefined by arguments.
	* [r1982] Update NEWS and ChangeLog.
	* [r1981] Bump version number.
	* [r1980] Remove CVS header tag.
	* [r1979] Update version requirement for R (>= 2.3.0) and perl
	  (5.10.0).
	* [r1978] - first() and last() are now simply wrappers to
	  utils::head() and utils::tail() with a default 'n=1' instead of
	  'n=6'. - Move code for left() and right() into a separate file.
	* [r1977] If arguments 'X' or 'FUN' is supplied to
	  reorder.factor(), mimic the behavior of stats::reorder.default()
	  rather than trying to call it via NextMethod.

2015-04-25  warnes

	* [r1974] List needs a conjuction
	* [r1973] Fix spelling errors & typos
	* [r1972] Fix typographical errors
	* [r1971] Update NEWS and ChangeLog (again)
	* [r1970] Remove aggregate.table() entirely
	* [r1969] 'test.humanReadable.R' needed set.seed() to make the
	  results consistent.
	* [r1968] Update .save files
	* [r1967] Missed on commit.
	* [r1966] Modfy write.fwf() to properly handle matrix argument,
	  avoiding conversion to dataframe unless rownames=TRUE. Add
	  corresponding unit tests.
	* [r1965] Installing PERL modules was failing. Adding CPAN
	  configuration option fixed the problem.
	* [r1964] Error message about executable name was missing one
	  alternative
	* [r1963] Better describe gdata contents
	* [r1962] is.* and as.* aren't generics
	* [r1961] Add 'justify' argument to print and format object_sizes
	  methods
	* [r1960] Add 'justify' argument to print and format object_sizes
	  methods
	* [r1959] Remove stray call to 'browser'
	* [r1958] Update DESCRIPTION, ChangeLog, and NEWS
	* [r1957] Complete work on object.size(), object_sizes methods, and
	  humanReadable.
	* [r1956] Add error message if Excel file format is too old

2015-04-23  warnes

	* [r1953] Update NEWS and ChangeLog
	* [r1952] - write.fwf() now properly supports matrix objects,
	  including matrix objects wihtout column names. (Reported by Carl
	  Witthoft.)
	* [r1951] Remove 'use POSIX' from xls2csv.pl since it is no longer
	  needed
	* [r1939] Update NEWS and ChangeLog
	* [r1938] reorder.factor() now hands off processing to
	  stats:::reorder.default() when either 'X' or 'FUN' is specified.

2015-04-22  warnes

	* [r1937] Update NEWS and ChangeLog for changes to humanReadable()
	* [r1936] Fix 'units' argument of humanReadable()
	* [r1935] Update object.size() man page to reflect change in class
	  of return value from 'object_size' to 'object_sizes'
	* [r1934] Update NEWS and ChangeLog for gdata 2.16.0
	* [r1933] Modify gdaata:object.size to generate S3 objects of class
	  'object_sizes' (note the final 's') to avoid conflicts with
	  methods in utils for object_size.
	* [r1932] Correct behavior of reorder.factor() when argument 'X' is
	  supplied by delgating to stats:::reorder.default()

2015-04-14  warnes

	* [r1929] Update ChangeLog
	* [r1928] Remove editorializing
	* [r1927] Update NEWS and ChangeLog for gdata 2.15.0
	* [r1926] Add 'scientific' argument to write.fwf to allow control
	  of whether numeric values can be displated using scientific
	  notation.
	* [r1925] Replace depricated PERL function POSIX::isnumeric with
	  equivalent regexp
	* [r1924] Add gdata ChangeLog to SVN

2015-04-10  warnes

	* [r1922] Update files for gdata 2.15.0

2015-04-08  warnes

	* [r1919] Move first/last/left/right to from gtools to gdata

2014-08-28  warnes

	* [r1883] Everything works now!
	* [r1882] Suppress annoying warnings in
	  Spreadsheet::ParseXLS::FmtDefalt.
	* [r1881] Add tests and corresponding test files for 1900 and 1904
	  based XLX/XLSX files
	* [r1880] Complete transition from Spreadsheet::XLSX to
	  Spreadsheet::ParseXLSX
	* [r1879] Handle Excel files created on the Mac, where by default
	  Excel uses 1904-01-01 as the baseline for dates, rather than the
	  usual 1900-01-01.
	* [r1878] Remove dotfiles
	* [r1877] Update for release
	* [r1876] Add test for handling fo very wide xls and xlsx files.
	* [r1875] Add test for handling fo very wide xls and xlsx files.
	* [r1874] Modify code to use latest version of
	  Spreadsheet::ParseExcel and to replace Spreadsheet::XLSX woth
	  Spreadsheet::ParseXLSX
	* [r1873] Update Spreadsheet::ParseExcel, add
	  Spreadsheet:ParseXLSX, add dependencies

2014-04-05  warnes

	* [r1801] Apply same changes to NAToUnknown that were previously
	  applied to unknownToNA for POSIXlt.
	* [r1800] Update NEWS with latest changes
	* [r1799] Call stats::nobs instead of stats:::nobs.default within
	  gdata::nobs.default. This avoids R CMD check warning.
	* [r1798] Don't compare optional POSIXlt field. Explicitly compare
	  POSIXlt, with special handling of '-1' unknown value.
	* [r1797] Don't use gdata:::<foo> prefix to access gdata function
	  <foo>
	* [r1796] Fix syntax error in DESCRIPTION file.
	* [r1795] Package name needs to be defined outside of if test.
	* [r1794] Style file needed
	* [r1793] The issue Brian pointed out was an error in the
	  isUnknown() code, not an error in the unit tests!
	* [r1792] Apply changes Brian recommned to NAtoUnknown as well as
	  unknownToNA.
	* [r1791] Update NEWS file
	* [r1790] Don't need latex .dtx source file
	* [r1789] Move vignettes from inst/doc/ to vignettes/
	* [r1788] Change 'aggregate.table' from deprecated to defunct.
	* [r1787] Complete changes so that the unit tests are run as part
	  of R CMD check
	* [r1786] Update NEWS for gdata 2.13.4
	* [r1785] Update NAMESPACE file to remove deleted function
	* [r1784] Move unit test files back to inst/unitTests. Fix up
	  runRUnitTests.R to work properly in the new location
	* [r1783] - For unit tests, don't check for equality of optional
	  POSIXlt components. (Bug reported by Brian Ripley).
	* [r1782] Move unit test code into the (now) standard location

2014-03-19  arnima

	* [r1777] change warning message to R standards

2013-12-18  arnima

	* [r1758] Retain original list order unless sort=FALSE; also stop
	  if unnamed list

2013-12-16  warnes

	* [r1757] Trim will now remove all types of leading/trailing
	  whitespace by using the [:blank:] character class.

2013-06-29  warnes

	* [r1692] Update NEWS for second try for gdata 2.13.2
	* [r1691] Simplify ll() by stuffing list arguments into an
	  environment, avoiding the need to use attach/detach.

2013-06-28  warnes

	* [r1685] Update NEWS for gdata 2.13.2
	* [r1684] Minor update to tests/*.Rout.save
	* [r1683] Add on.exit() handler to ensure a matching detach occurs
	  when attach is used in ll()
	* [r1682] Update for gdata 2.13.2
	* [r1681] Improve deprecated message

2013-03-24  warnes

	* [r1645] Update test files for code changes
	* [r1644] Fix formatting in NEWS
	* [r1643] Replaced calls to depreciated function ".path.package"
	  with the new public function "path.package".

2013-01-14  warnes

	* [r1639] Replace (obsolete) '.path.package' with 'find.package'
	  function.

2012-09-20  warnes

	* [r1622] Correct .Rd file errors detected by 'R CMD check'.
	* [r1621] Add duplicated() and ans() to the NAMESPACE.
	* [r1620] Update for gdata 2.13.0.
	* [r1619] Fix typographic error.
	* [r1618] Add 'ans()' and 'duplicated()' contributed by Liviu
	  Andronic.

2012-09-19  warnes

	* [r1617] Correct column names. Unit columns were reversed and
	  misspelled.
	* [r1616] Add ignore.stderr to system command in sheetCmd() to
	  prevent stderr messages from being included in the captured
	  output from the perl script.

2012-09-12  warnes

	* [r1606] Update for gdata 2.12.0
	* [r1605] 'stats::aggregate' was made into a generic on
	  27-Jan-2010, so that attempting to call 'aggregate' on a 'table'
	  object will now incorrectly call 'aggregate.table'. Since
	  'aggregate.table' can be replaced by a call to tapply using two
	  index vectors, e.g. aggregate.table(x, by1=a, by2=b, mean) can be
	  replaced by tapply(x, INDEX=list(a, b), FUN=mean), the
	  'aggregate.table' function will now display a warning that it is
	  depreciated and recommending the equivalent call to tapply. It
	  will be removed entirely in a future version of gdata.
	* [r1604] Don't ignore .Rnw files, but do ignore .svn files.

2012-09-11  warnes

	* [r1603] Clarify workding of DROP argument to interleave().
	* [r1602] Replace call to aggregate.table() with equivalent
	  tapply() call since aggregate.table() is being depreciated.

2012-08-22  warnes

	* [r1601] Update DESCRIPTION and NEWS for gdate 2.11.1.
	* [r1600] Add example for read.xls() that shows how to use the
	  fileEncoding argument to read in latin-1 encoded data.
	* [r1599] Add XLSX test for latin-1 characters, and look for them
	  in their new location in inst/xls/.
	* [r1598] add XLSX version of latin-1.xls
	* [r1597] Add test file and code to ensure that read.xls() can
	  properly handle files with alternative encodings. latin-1.xls
	  contains each of the non-ascii latin-1 special characters in both
	  the column headings and the body of the file.
	* [r1596] Change code to have R read the csv/tab data from the file
	  rather than from the connetion we made, so that file encodings
	  can be properly handled.
	* [r1595] Always close the connection.

2012-08-13  warnes

	* [r1594] Remove trailing space from output line.

2012-06-18  warnes

	* [r1567] Update NEWS for 2.11.0 release.
	* [r1566] Bump version number and add SystemRequirements for perl.
	* [r1565] read.xls() and supporting functions now allow blank lines
	  to be preserved, rather than skipped, by supplying the argument
	  "blank.lines.skip=FALSE". The underlying perl function has been
	  extended to suppor this via an optional "-s" argument which, when
	  present, *preserves* blank lines during the conversion.

2012-06-13  warnes

	* [r1564] - nobs.default needs to handle logical vectors in
	  addition to numeric vectors. - update DESCRIPTION and NEWS for
	  2.10.6.
	* [r1563] nobs.default needs to handle logical as well as numeric
	  vectors.

2012-06-08  warnes

	* [r1562] Update DESCRIPTION and tests
	* [r1561] fix incorrect function name
	* [r1560] Mark example for installXLSXsupport() to not be executed
	  durin R CMD check.
	* [r1559] stats:::nobs.default and stats::nobs.lm require R >
	  2.13.0, so add this as a dependency.

2012-06-06  warnes

	* [r1552] Update for release 2.10.2
	* [r1551] Fix bugs in nobs.default.
	* [r1550] Update to reflect warning on startup that 'nobs' hides
	  'stats::nobs'.
	* [r1549] Remove stray non-ASCII characters.
	* [r1548] The nobs() dispatch method must be defined in the gdata
	  namespace to pick up the definition of gdata::nobs.default.
	* [r1547] Update DESCRIPTION and NEWS for 2.10.1 release.
	* [r1546] Define aliases for 'nobs' and 'nobs.lm' to support
	  backward compatibility for packages depending on gdata.
	* [r1545] Update DESCRIPTION and NEWS for 2.10.0 release
	* [r1544] - Add manual page and NAMESPACE entry for startsWith(). -
	  Add 'ignore.case' argument to startsWith().
	* [r1543] Update to match new code.
	* [r1542] Replace non-ASCII characters.
	* [r1541] Add na.strings to read.xls call to convert "#DIV/0!" to
	  NA.

2012-06-05  warnes

	* [r1540] Remove nobs method dispatch and lm methods since these
	  are now provided by the stats package.
	* [r1539] Spell out arguments to ls() to avoid R CMD check
	  warnings.
	* [r1538] Add .Rinstignore file to omit latex style and source
	  files from distributed inst/doc directory.
	* [r1537] - Add NULL definition of MedUnits to avoid R CMD check
	  warning. - Specify local environment when calling data() so that
	  MedUnits gets defined in the function's environment rather than
	  the global environment.
	* [r1536] Fix error in ls.funs() that occurs when there are no
	  objects in the environment.
	* [r1535] Avoid warning by calling utils::object.size rather than
	  Internal(object.size(x))

2012-05-31  warnes

	* [r1534] - Remove dispatch function 'nobs' and method 'nobs.lm'
	  since these are now provided by the R 'stats' package.

2012-05-04  warnes

	* [r1532] Update for next release
	* [r1531] Add ls.funs() to show functions defined in the specified
	  environment.
	* [r1530] Fix enumerate syntax.

2012-04-03  warnes

	* [r1522] Add startsWith() function.

2011-10-05  warnes

	* [r1516] Fix typo

2011-09-30  warnes

	* [r1515] Update DESCRIPTION and README for 2.9.0 release.
	* [r1514] Update DESCRIPTION and README for 2.9.0 release.

2011-09-20  warnes

	* [r1508] Improve xls2csv() man page
	* [r1507] Add case() function, a vector equivalent of the switch()
	  function
	* [r1506] Add case() function, a vector equivalent of the switch()
	  function

2011-09-02  warnes

	* [r1500] Add 'centerText' function to center text strings for a
	  specified width.
	* [r1499] Add 'centerText' function to center text strings for a
	  specified width.

2011-04-16  warnes

	* [r1469] Update for release 2.8.2

2011-04-15  warnes

	* [r1468] Fix errors on windows when R or Perl install path
	  includes spaces by properly quoting the path.
	* [r1467] Fix error in xlsFormat() on windows when R or Perl
	  install path includes spaces by quoting the path.

2011-01-15  ggorjan

	* [r1465] Adding summary method for nPairs

2010-11-12  warnes

	* [r1462] Update NEWS for gdata 2.8.1
	* [r1461] Update DEScription file for 2.8.1 release
	* [r1460] Update test output to match latest code
	* [r1459] Modify write.fwf() to capture and pass on additional
	  arguments for write.table(). This resolves a bug reported by Jan
	  Wijffels.

2010-11-01  arnima

	* [r1453] Minor improvement in Args.Rd help page

2010-10-19  warnes

	* [r1452] Avoid use of file.access() which is unreliable on Windows
	  network shares.

2010-07-08  ggrothendieck2

	* [r1448] findPerl call added to xls2sep

2010-07-07  ggrothendieck2

	* [r1447] small improvements to read.xls.Rd

2010-05-03  warnes

	* [r1439] Rename installXLSXModules() to installXLSXsupport() and
	  provide documentation for it.
	* [r1438] Update news for gdata 2.8.0
	* [r1437] Add .onAttach function to check & inform user if perl is
	  available, to check whether XLS and XLSX formats are avaiable,
	  and to run the (new) installXLSXModules() functon to attempt to
	  install the necessar libraries if not. Added installXLSXModules()
	  function.

2010-05-02  warnes

	* [r1436] Correct error in xlsFormat example
	* [r1435] Update perl code to work (but generate warnings) when
	  Zlib or SpreadSheet::XLXS is not instaled. Also update Greg's
	  email address

2010-02-21  ggrothendieck2

	* [r1423] isOpen problems fixed (isOpen must have changed in R
	  since this worked in earlier versions). Also nba.xls link in
	  read.xls.Rd disappeared. Replaced with similar link.

2010-02-20  ggrothendieck2

	* [r1422] improved INSTALL file

2010-02-19  ggrothendieck2

	* [r1421] added findPerl to locate ActiveState Perl on Windows if
	  perl= not specified and Rtools perl would have otherwise been
	  used. Also added INSTALL file.

2010-01-28  warnes

	* [r1419] Update for release 2.7.1
	* [r1418] xls2sep(): Show output of perl call when verbose=T
	* [r1417] More Win32 fixes
	* [r1416] More work on Win32 building
	* [r1415] Support building Compress::Raw::Zlib perl package under
	  windows.

2010-01-26  warnes

	* [r1413] Fix typos
	* [r1412] Show more details in sheetCount() when verbose=TRUE

2010-01-24  warnes

	* [r1411] Replace two calls to 'dQuote', to 'dQuote.ascii'
	* [r1408] Remove auto-generated pdf files from svn
	* [r1407] create 'distclean' to remove perl binary dir, currently
	  mac-only
	* [r1406] Make read.xls() and xls2sep() quieter when verbose=FALSE
	* [r1405] Add tests for read.xls, sheetCount, and sheetNames
	* [r1404] Modify makefile to 1) clean up after build, 2) make tar
	  non-verbose
	* [r1403] Close connections when done.
	* [r1402] Fix typo
	* [r1401] Fix R CMD CHECK errors
	* [r1400] Use the original gz file for Compress::Raw::Zlib to avoid
	  issues with 'non-platform-independent' filename error in R CMD
	  CHECK
	* [r1399] Rename files to remove R CMD check error
	* [r1398] Update for 2.7.0 release
	* [r1397] Add new functions to NAMESPACE
	* [r1396] Add Compress::Raw::Zlib code
	* [r1395] Add/Update documentation
	* [r1394] Minor formatting change
	* [r1393] Add additional example files
	* [r1392] Combine sheetCount.pl and sheetNames.pl and modify to
	  support Excel 2007 'xlsx' format
	* [r1391] Complete changes to handle Excel 2007 'xlsx' files
	* [r1390] Add additional Perl modules to support Excel 2007 'xlsx'
	  files

2010-01-24  ggrothendieck2

	* [r1389] added sheetNames.Rd (documenting sheetNames/sheetCount)
	  and updated NAMESPACE file.
	* [r1388] fixed spacing problem in NEWS

2010-01-23  warnes

	* [r1387] Check if parsing the xls file succeeds... Current code
	  doesn't handle new XML-based format
	* [r1386] Remove perl 'Spreadsheet:XLSX' module since it depends on
	  Compress-Raw-Zlib, which probably won't be available on most
	  machines, and I don't have time to figure out how to get R to
	  build it properly when gdata is installed.
	* [r1385] Add perl 'Spreadsheet:XLSX' module to support new Excel
	  XML format files
	* [r1384] Add xls2tsv() convenience wrapper to xls2sep()
	* [r1383] Update to match new xls2csv.pl code, allow specification
	  of sheets by name, support CSV and TAB delimited files using the
	  same code, other minor changes.
	* [r1382] Add sheetNames() function to extract the names from XLS
	  files
	* [r1381] Fix xls2csv.bat
	* [r1380] If only one sheet is present in the file, don't insert
	  the sheet name into the filename
	* [r1379] Add additional test/example Excel files
	* [r1378] Modify xls2csv.pl script to: - Use tab-delimiter and .tsv
	  or .tab extension if called with the name xls2tsv.pl or
	  xls2tab.pl, respectively. This allows a single source file and
	  two symlinks to be used intstead of maintaining several
	  almost-identical files. - Allow selection of sheets by name -
	  Provide better error checking - Other code improvements
	* [r1377] Add perl scripts to extract worksheet names and sheet
	  count from Excel files

2010-01-22  warnes

	* [r1376] Upgrade Perl OLE::StorageLight module to version 0.19
	* [r1375] Upgrade perl Spreadsheet::ParseExcel to version 0.56
	* [r1374] Add complete list of contributors

2010-01-22  arnima

	* [r1373] Minor improvement in help page
	* [r1371] Many small improvements to documentation of Arni's five
	  functions

2010-01-22  warnes

	* [r1370] - Move xls2csv(), xls2tab(), xls2sep() to a separate file
	  - Move qQuote.ascii to a separate file
	  
	  - Bug Fix: xls2csv(), xls2tab() failed to pass the provided
	  'perl' parameter to xls2sep()
	  
	  - New Feature: xls2sep() (and hence xls2csv, xls2tab, and
	  read.xls) now supports ftp URLs.

2009-12-06  arnima

	* [r1369] Minor improvements of Args().
	* [r1368] Improved ll() so user can limit output to specified
	  classes

2009-11-16  arnima

	* [r1366] ll(.GlobalEnv) does not crash anymore

2009-08-20  warnes

	* [r1357] Replace \ldots with \dots to make the new R CMD CHECK
	  happy.

2009-08-19  warnes

	* [r1355] Update for 2.6.1 release
	* [r1354] Modify unit tests to avoid issues related to zime zones.

2009-08-05  warnes

	* [r1353] Update vignettes for 2.6.0 release
	* [r1352] Fix formatting warning in frameApply man page

2009-07-16  ggorjan

	* [r1350] Reverting recent change and clarifying the meaning.

2009-07-16  warnes

	* [r1349] Add contents of \value section for resample() man page
	* [r1348] Update test output to remove R CMD check warning
	* [r1347] Update ChangeLog and NEWS for gdata 2.6.0 release
	* [r1346] Update DESCRIPTION file for gdata 2.6.0
	* [r1345] Correct Greg's email address
	* [r1344] Correct minor typos in write.fwf() man page
	* [r1343] Correct page for resample()
	* [r1342] Add support for using tab for field separator during
	  translation from xls format in read.xls

2009-04-19  arnima

	* [r1314] Changed object.size(object) to
	  unclass(object.size(object)).

2008-12-31  ggorjan

	* [r1312] Documenting changes and exporting the functions.
	* [r1311] Enhanced function object.size that returns the size of
	  multiple objects. There is also a handy print method that can
	  print size of an object in "human readable" format when
	  options(humanReadable=TRUE) or print(object.size(x),
	  humanReadable=TRUE).
	* [r1310] New function wideByFactor that reshapes given dataset by
	  a given factor - it creates a "multivariate" data.frame.
	* [r1309] New function nPairs that gives the number of variable
	  pairs in a data.frame or a matrix.
	* [r1308] New functions getYear, getMonth, getDay, getHour, getMin,
	  and getSec for extracting the date/time parts from objects of a
	  date/time class.
	* [r1307] New function bindData that binds two data frames into a
	  multivariate data frame in a different way than merge.
	* [r1306] New function .runRUnitTestsGdata that enables run of all
	  RUnit tests during the R CMD check as well as directly from
	  within R.

2008-12-20  ggorjan

	* [r1305]
	* [r1304] To remove some output in the R CMD check

2008-08-05  ggorjan

	* [r1300] - Increased version to 2.5.0
	  
	  - New function cbindX that can bind objects with different number
	  of rows.
	  
	  - write.fwf gains width argument. Unknown values can increase or
	  decrease the width of the columns. Additional tests and
	  documentation fixes.

2008-06-30  arnima

	* [r1299] Simplified default 'unit' argument from
	  c("KB","MB","bytes") to "KB".

2008-05-13  warnes

	* [r1270] Update NEWS file for 2.4.2
	* [r1269] Use path.expand() to give proper full path to xls file to
	  be translated by read.xls()
	* [r1268] Modifed read.xls() failed to return the converted data...
	  fixed.
	* [r1267] Correct broken patch for open-office support
	* [r1266] For read.xls() and xls2csv(): - Implement more
	  informative log messages when verbose=TRUE - Quote temporary file
	  name to avoid errors when calling perl to do the work. - Add
	  better error messages, particularly when perl fails to generate
	  an output .csv file.
	  
	  Update version number in DESCRIPTION.

2008-05-12  warnes

	* [r1265] Patch to correct issue with OpenOffice-created XLS files.
	  Thanks to Robert Burns for pointing out the patch at
	  http://rt.cpan.org/Public/Bug/Display.html?id=7206

2008-03-25  warnes

	* [r1250] Update for version 2.4.1
	* [r1249] Example iris.xls file didn't complete & properly
	  formatted iris data set. Fixed.
	* [r1248] Update perl modules to latest versions

2008-03-24  warnes

	* [r1247] Fix typo in win32 example for read.xls()

2008-03-11  warnes

	* [r1246] Add xls2csv to exported function list

2008-01-30  warnes

	* [r1241] Update DESCRIPTION and NEWS for release 2.4.0

2008-01-29  arnima

	* [r1240] Added argument 'all'.
	* [r1239] Added argument 'all'.

2007-10-22  warnes

	* [r1196] Clarify GPL version

2007-09-10  ggorjan

	* [r1169] removed unmatched brace
	* [r1168] adding alias

2007-09-06  ggorjan

	* [r1162] keyword

2007-08-21  ggorjan

	* [r1154] package help page
	* [r1153] move
	* [r1152] move

2007-08-20  ggorjan

	* [r1151] clean
	* [r1150] a real vignette
	* [r1149] a real vignette
	* [r1148] additional keyword for searchig

2007-08-17  ggorjan

	* [r1147] keyword

2007-07-22  arnima

	* [r1103] Reverted back to as.character(substitute(x)), so user can
	  run keep(x), keep("x"), Args(x), and Args("x").

2007-07-21  arnima

	* [r1102] Changed as.character(substitute()) to
	  deparse(substitute()), following help(substitute) recommendation.
	* [r1101] Changed as.character(substitute()) to
	  deparse(substitute()), following help(substitute) recommendation.

2007-07-10  warnes

	* [r1099] Update read.xls() code and docs with enhacements by Gabor
	  Grothendieck

2007-06-06  ggorjan

	* [r1097] last edits from newsletter
	* [r1096] drop levels as suggested by Brian Ripley
	* [r1095] better integration of unit tests
	* [r1094] making codetools happy

2007-01-28  arnima

	* [r1042] Throw warnings rather than errors

2007-01-27  arnima

	* [r1041] Meaningful error message is given when requested object
	  does not exist
	* [r1040] is.* tests that return NA are not reported is.what
	  recursion is avoided

2006-11-30  ggorjan

	* [r1035] minor commet to the code
	* [r1034] description of mapLevels methods
	* [r1033] description of unknown methods

2006-11-16  ggorjan

	* [r1013] seems that c.factor was not a good idea and there were
	  better examples posted on r-devel list

2006-11-14  ggorjan

	* [r1012] Removed executable property

2006-11-10  ggorjan

	* [r1004] just formatting

2006-11-02  ggorjan

	* [r1002] typos

2006-10-30  ggorjan

	* [r1001] some more examples for use of read.fwf after write.fwf
	* [r1000] ignore for report files
	* [r999] Id tag from source
	* [r998] removing unused import
	* [r997] Id tag
	* [r996] write.fwf
	* [r995] Id tag
	* [r994] added unit tests for reorder.factor
	* [r993] mapply keeps names in R 2.4; POSIX unit tests solved; $
	  should work now

2006-10-29  ggorjan

	* [r992] fixed problem in tests; added unknown methods and tests
	  for matrices
	* [r991] sort is generic now; mapply keeps names in R 2.4.0; some
	  codetools suggestions fixed
	* [r990] sort is generic from R 2.4.0
	* [r989] trim() gains ... argument; version bump
	* [r988] Fixed collision bug with stats version of reorder.factor

2006-10-27  warnes

	* [r987] Add c() method for factor objects, submitted by Gregor
	  Gorjanc

2006-09-19  warnes

	* [r986] Update NEWS file for 2.3.0 release
	* [r985] Explicitly set the local in runit.trim.R to one where
	  leading spaces affect sort order so that the unit test works
	  properly.

2006-09-18  warnes

	* [r984] Update Rnews.sty to the latest version
	* [r983] Integrate fixes for trim() from Gregor and myself.
	* [r982] Remove unneeded files.

2006-09-13  warnes

	* [r981] Add unknown() and unit test files
	* [r980] More fixes from Gregor Gorjanc
	* [r979] Add mapLevels functions from Gregor Gorjanc, along with
	  associated unit tests.

2006-08-03  warnes

	* [r978] Add Gregor Gorjanc's mapFactor() and combineLevels()
	  functions.

2006-08-02  warnes

	* [r977] Update my email address
	* [r976] Remove MedUnits.rda to convert to binary format
	* [r975] Remove MedUnits.rda to convert to binary format
	* [r974] Update version number
	* [r973] Integrate changes suggested by Gregor Gorjanc

2006-03-14  nj7w

	* [r940] Fixed R CMD check errors and added trim.default to
	  NAMESPACE

2006-03-13  nj7w

	* [r939] Added trim.character and trim.factor as per Gregor's
	  suggestions

2006-01-03  warnes

	* [r839] Add resample() function, which generates a random sample
	  or permutation from the elements of the supplied vector, even if
	  the vector has length 1. This avoide the problems caused by
	  base::sample()'s special case for vectors of length 1, where it
	  attempts to sample from 1:x.

2005-12-13  nj7w

	* [r806] Updated news and removed changelog

2005-12-12  nj7w

	* [r798] Updated version number for CRAN release

2005-12-08  warnes

	* [r789] Andrew Burgess reported that interleave() converts
	  1-column matrixes to vectors and provided a patch. A slight
	  modification of his patch has been applied. There is now a 'drop'
	  argument, which controls whether 'unnecessary' dimensions are
	  dropped. The default is FALSE.

2005-12-04  warnes

	* [r779] Andrew Burgess reported that interleave() converts
	  1-column matrixes to vectors and provided a patch. A slight
	  modification of his patch has been applied. There is now a 'drop'
	  argument, which controls whether 'unnecessary' dimensions are
	  dropped. The default is FALSE.

2005-12-01  nj7w

	* [r775] Updated Greg's email address
	* [r774] Updated Jim's email address

2005-11-21  arnima

	* [r744] Suppressed warning message in attach() call.

2005-10-27  warnes

	* [r716] Bump version number again to show that I fixed a bug.
	* [r715] Update version number
	* [r714] Remove explicit loading of gtools in examples, so that
	  failure to import functions from gtools gets properly caught by
	  running the examples.
	* [r713] Add missing close-bracket
	* [r712] Add upperTriangle and friends
	* [r711] Add functions for extracting, modifying upper and lower
	  trianglular components of matrices.

2005-10-19  arnima

	* [r695] Replaced the "not.using" vector with a more robust
	  try(get(test)) to find out whether a particular is.* function
	  returns a logical of length one.

2005-09-12  nj7w

	* [r671] Updated Greg's email

2005-09-06  nj7w

	* [r661] Added library(gtools) in the example
	* [r660] Removed gtools dependency from NAMESPACE, as it was being
	  used only in an example, and was giving warning
	* [r659] Added Suggests field

2005-09-02  nj7w

	* [r658] Updated the example in frameApply
	* [r656] Added NEWS
	* [r654] ChangeLog

2005-08-31  nj7w

	* [r644] Added DESCRIPTION file
	* [r643] removed DESCRIPTION.in

2005-07-20  nj7w

	* [r631] updated documentation
	* [r630] ## Args() was using a different search path from args(),
	  e.g. rep <- function(local) return(NULL) args() Args() ## Fixed
	* [r629] ## is.what() was giving needless warnings for functions,
	  e.g. is.what(plot) ## Fixed
	* [r628] ## ll() was crashing if argument was a list of length
	  zero, e.g. x <- list() ll(x) ## Fixed, and added sort.elements
	  (see new help page)

2005-06-09  nj7w

	* [r625] Updating the version number, and various help files to
	  synchronize splitting of gregmisc bundle in 4 individual
	  components.

2005-06-07  nj7w

	* [r622] Reverting to the previous version of drop.levels.R by
	  replacing sapply(...) with as.data.frame(lapply(...)) because
	  sapply has the undesirable effect of converting the object to a
	  matrix, which in turn coerces the factors to numeric.

2005-05-13  nj7w

	* [r621] 1) Using dQuote.ascii function in read.xls as the new
	  version of dQuote doesn't work proprly with UTF-8 locale. 2)
	  Modified CrossTable.Rd usage in gmodels 3) Modified heatmap.2
	  usage in gplots.

2005-04-02  warnes

	* [r600] Move drop.levels() from gtools to gdata.
	* [r598] Move frameApply() to gdata package.

2005-03-31  warnes

	* [r586] Comment out example to avoid R CMD check warnings

2005-03-22  warnes

	* [r578] Fixes to pass `R CMD check'.
	* [r577] Integrated fixes from Arni.
	* [r576] Improve documentation of 'perl' argument and give
	  examples.

2005-03-09  warnes

	* [r573] - Add ConvertMedUnits() plus documentation - Add
	  documentation for MedUnits data set.
	* [r572] Update MedUnits data file.
	* [r571] Don't need both .Rda and .tab forms of the data.
	* [r570] Add MedUnits data set, which provides conversions between
	  American 'Conventional' and Standard Intertional (SI) medical
	  units.

2005-03-01  warnes

	* [r566] - Remove 'elem' call from ll example. - Add note to 'elem'
	  man page that it is depreciated and 'll' should be used instead.

2005-02-26  nj7w

	* [r565] *** empty log message ***

2005-02-25  warnes

	* [r564] Remove ll methods since the base function now handles
	  lists and data frames.
	* [r563] Integrate changes submitted by Arni Magnusson

2005-01-31  warnes

	* [r529] Add ability to specify the perl executable and path.

2005-01-28  warnes

	* [r526] Add dependency on stats.

2005-01-12  warnes

	* [r515] Add dependency on R 1.9.0+ to prevent poeple from
	  installing on old versions of R which don't support namespaces.

2004-12-27  warnes

	* [r509] Update usage to match code.
	* [r508] Replace 'F' with 'FALSE'.

2004-10-12  warneg

	* [r465] Add unmatrix() function

2004-09-27  warneg

	* [r461] Updated to pass R CMD check.

2004-09-03  warneg

	* [r455] added to cvs.
	* [r454] Checkin xls2csv.pl. Should have been in long ago, must
	  have been an oversight
	* [r451] Need to look for files using the new package name.
	* [r449] Need to use the new package name when looking for
	  iris.xls.
	* [r448] Add ll.list to the to the list of functions described
	* [r447] Add ll and friends to the namespace
	* [r446] initial bundle checkin

2004-09-02  warneg

	* [r442] Initial revision

2004-08-27  warnes

	* [r441] Fixed bug in mixedsort, and modified reorder.factor to use
	  mixedsort.

2004-07-29  warnes

	* [r427] Add perl modules to CVS.

2004-07-27  warnes

	* [r425] Fix typos/spelling.
	* [r424] Add note that Perl is required for read.xls to work
	  properly.

2004-07-16  warnes

	* [r420] Remove the temporary csv file if reading it in fails.

2004-06-22  warnes

	* [r377] Add S3 methods for data frames and lists.

2004-06-08  warnes

	* [r371] Moved from gregmisc/src/.
	* [r370] Remove the files in src, instead provide "pre-installed"
	  perl packages in inst/perl.

2004-06-05  warnes

	* [r365] Fix typo.
	* [r364] Fix Unix makefile so that it works when invoked directly.
	* [r363] Fixes for Windows
	* [r362] Minor enhancment to read.xls example.
	* [r361] - Merge Makefile.win into Makefile. Makefile.win now just
	  redirects to Makefile. - Update xls2csv.bat and xls2csv shell
	  script to correctly obtain thier installion path and infer the
	  location of the perl code and libraries. - The xls2csv.pl script
	  now assumes that the libraries it needs are installed into the
	  same directory where it is.

2004-06-04  warnes

	* [r360] More changes, indended to improve installation reliabilty
	  and to make Makefile and Makefile.win as similar as possible.

2004-05-27  warnes

	* [r358] Clean should remove scripts from source directory.
	* [r357] Moved to xls2csv.pl.in.
	* [r354] More fixes.
	* [r353] Fix missing brace.
	* [r352] Add explicit package name to see also links.
	* [r351] More xls2csv perl module support changes.
	* [r350] More changes to fix local installation of perl modules.

2004-05-26  warnes

	* [r345] Escape underscores in email addresses so Latex is happy.

2004-05-25  warnes

	* [r339] More changes to xls2csv code.
	* [r337] Add Args() function contributed by Arni Magnusson
	  <arnima@u.washington.edu>.
	* [r335] - Change to call perl directly rather than depending on
	  the installed shell script. This should make the code more
	  portable to MS-Windows systes.
	  
	  - Add additional commants..
	* [r332] Makefile now modifies xls2csv.bat xls2csv.pl and xls2csv
	  to contain an explicit path to the perl script/libraries.
	* [r330] R CMD build calls the clean target to purge build files
	  from the source tree when packaging. To get use this behavior
	  correctly, I've renamed the clean target to cleanup and distclean
	  target to clean.
	* [r329] Add read.xls(), a function to read Microsoft Excel files
	  by translating them to csv files via the xls2csv.pl script.
	* [r326] More fixes. Seems to work now.

2004-05-24  warnes

	* [r325] Add files to enable inclusion and installation of
	  xls2csv.pl as part of the package.

2004-04-01  warnes

	* [r312] Add function remove.vars().

2004-03-26  warnes

	* [r307] Contents of package 'mva' moveed to 'stats'.
	* [r298] - Fix is.what() for use under R 1.9.0 - is.what() now uses
	  is.* functions found in any attached frame

2004-01-21  warnes

	* [r282] - Add ... argument to match generic provided in mva.

2004-01-19  warnes

	* [r275] - Integrated (partial) patch submitted by Arni Magnusson
	  to clarify help text. - Modifed code to use match.arg().

2003-12-15  warnes

	* [r271] - Applied patch from Arni that fixed a bug that caused
	  env() to crash if any environment was completely empty

2003-12-03  warnes

	* [r253] - match function argument defaults with 'usage'

2003-12-02  warnes

	* [r249] Add one argument, to match code.

2003-12-01  warnes

	* [r244] - Apply changes submitted by Arni Magnusson

2003-11-19  warnes

	* [r229] Changes to pass R CMD check.

2003-11-18  warnes

	* [r224] - Convert from MS-Dos to Unix line endings. - Reformat to
	  80 columns.

2003-11-17  warnes

	* [r223] Replace 'T' with 'TRUE' to remove R CMD check error.
	* [r222] Fix syntax error.

2003-11-10  warnes

	* [r220] - Add files contributed by Arni Magnusson
	  <arnima@u.washington.edu>. As well as some of my own.

2003-06-07  warnes

	* [r198] - Fixed error in examples. Had sqrt(var(x)/(n-1)) for the
	  standard error of the mean instead of sqrt(var(x)/n).

2003-05-23  warnes

	* [r197] - Fixed typos
	* [r196] - library() backported from 1.7-devel. This version of the
	  function adds the "pos=" argument to specify where in the search
	  path the library should be placed.
	  
	  - updated .First.lib to use library(...pos=3) for MASS to avoid
	  the 'genotype' data set in MASS from masking the genotype
	  funciton in genetics when it loads gregmisc
	  
	  - Added logit() inv.logit() matchcols() function and
	  corresponding docs

2003-05-20  warnes

	* [r195] - Omit NULL variables.
	* [r194] - Added function trim() and assocated docs.

2003-04-22  warnes

	* [r188] - The mva package (which is part of recommended) now
	  provides a generic 'reorder' function. Consequently, the
	  'reorder' function here has been renamed to 'reorder.factor'.
	  
	  - Removed check of whether the argument is a factor object.

2003-03-03  warnes

	* [r165] - Updated to match reorder.Rd which was exetended to
	  handle factor label names in addition to numeric indices.
	* [r164] - Added handling of factor level names in addition to
	  numeric indexes.

2002-09-23  warnes

	* [r118] Added inst/doc directory and contents to CVS.
	* [r117] - Modified all files to include CVS Id and Log tags.

2002-08-01  warnes

	* [r112] Added reorder() function to reorder the levels of a
	  factor.

2002-04-09  warneg

	* [r109] Checkin for version 0.5.3
	* [r108] - Properly handle case when some or all arguments are
	  vectors.

2002-03-26  warneg

	* [r104] - Changed methods to include '...' to match the generic. -
	  Updated for version 0.5.1
	* [r102] Added ... to methods.
	* [r101] Updated to add ... parameter to function calls.
	* [r98] Initial checkin.
	* [r95] - Added CVS tags

2002-02-21  warneg

	* [r87] - Fixed bug where row and column labels didn't always
	  correspond to the contents. This only occured when a factor was
	  used for by1 or by2 and the factors levels weren't in the default
	  sort order.

2002-02-20  warneg

	* [r86] New function.
	* [r85] Initial checkin.
	* [r84] Initial checkin.
	* [r83] Noted that specialized methods exist.
	* [r82] Incorrectly had contents of nobs.R here instead of help
	  text. Corrected.
	* [r81] Minor changes, typo and formatting fixes.
	* [r79] - initial checkin.

2001-12-12  warneg

	* [r53] Added omitted documentaton for 'info' parameter. Changed
	  example code not to use 'Orthodont' data set so that the nlme
	  package is not required.

2001-12-08  warneg

	* [r47] Changed 'T' to 'TRUE' in parameter list.

2001-12-07  warneg

	* [r45] - Fixed see also link. Mis-typed 'data.frame' as
	  'dataframe'.
	* [r44] Added attribution.
	* [r43] Added proper attribution to Don MacQueen.
	* [r39] Initial checkin. Unfortunately, I've lost the email of the
	  person who sent this to me. I'll credit him/her when I find out
	  who it was!
	* [r38] Initial checkin

2001-12-05  warneg

	* [r34] - Renamed 'concat' function to 'combine' to avoid name
	  conflict with an existing S-Plus function.
	* [r32] - Changed function name 'concat' to 'combine' and renamed
	  concat.Rd to combine.Rd

